<EntityClassDefinition.DRAK_Corsair_Elevator_Inner_Gate __id="3276d11b-f9cd-4d00-8483-c58119dff791" __path="libs/foundry/records/entities/scitem/doors/drak_corsair_elevator_inner_gate.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="63685f47-b0cc-4ebe-8f16-72793a5cd6e0" RequiredTags="" Size="1" SubType="UNDEFINED" Tags="" Type="UNDEFINED">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@LOC_PLACEHOLDER" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SCItemDoorParams __type="DataForgeComponentParams" __polymorphicType="SCItemDoorParams" AutoCloseDelay="3.0" BreachedDoorAnimationSpeed="1.0" BreachedDoorOpenAmount="0.15000000596046448" BreachingDoorAnimationSpeed="1.0" ClosedEffectGroup="CloseEnd" CloseEffectGroup="CloseStart" ClosingEffectGroup="CloseLoop" DestructionBehavior="BreakDoor" DoorAnimationSpeed="1.0" FragName="SCItemDoor" IsIgnoredByDoorController="1" IsLocked="0" IsOpened="0" LockedEffectGroup="" OpenedEffectGroup="OpenEnd" OpenEffectGroup="OpenStart" OpeningEffectGroup="OpenLoop" OverrideClosedEffectGroup="" OverrideCloseEffectGroup="" OverrideCloseInteraction="None" OverrideClosingEffectGroup="" OverrideOpenedEffectGroup="" OverrideOpenEffectGroup="" OverrideOpeningEffectGroup="" OverrideOpenInteraction="None" SecondaryOpenInteraction="None" UnlockedEffectGroup="" UseAutoCloseDelay="0">
      <AnimationParams __type="SCItemDoorAnimationParams" __polymorphicType="SCItemDoorSingleProceduralParams" DefaultAnimationDurationScale="1.0" SecondaryAnimationDurationScale="1.0" TransitionTag="Open" />
      <CloseFinishedInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="CloseFinished" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </CloseFinishedInteraction>
      <CloseInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </CloseInteraction>
      <CollisionReaction __type="SDoorCollisionReactionBaseParams" __polymorphicType="SDoorCollisionReactionNoneParams" />
      <EffectParams __type="SCItemDoorEffectParams" closedTrigger="00000000-0000-0000-0000-000000000000" closeTrigger="00000000-0000-0000-0000-000000000000" closingTag="00000000-0000-0000-0000-000000000000" lockedTrigger="00000000-0000-0000-0000-000000000000" openedTrigger="00000000-0000-0000-0000-000000000000" openingTag="00000000-0000-0000-0000-000000000000" openTrigger="00000000-0000-0000-0000-000000000000" overrideClosedTrigger="00000000-0000-0000-0000-000000000000" overrideCloseTrigger="00000000-0000-0000-0000-000000000000" overrideClosingTag="00000000-0000-0000-0000-000000000000" overrideOpenedTrigger="00000000-0000-0000-0000-000000000000" overrideOpeningTag="00000000-0000-0000-0000-000000000000" overrideOpenTrigger="00000000-0000-0000-0000-000000000000" unlockedTrigger="00000000-0000-0000-0000-000000000000" />
      <LockInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_label_lock" DisplayType="ForeignOnly" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="0d7882b9-ec59-450f-aa56-4e4a18a1dd55" LockedByLinks="1" Name="LockDoor" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </LockInteraction>
      <OpenFinishedInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="OpenFinished" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </OpenFinishedInteraction>
      <OpenInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </OpenInteraction>
      <PortalMode __type="SCItemDoorPortalModeParams" __polymorphicType="SCItemDoorPortalModeAutomaticParams" />
      <ToggleInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Toggle" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </ToggleInteraction>
      <UnlockInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_label_unlock" DisplayType="ForeignOnly" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="2e21112b-1129-4e52-898f-fd59af29e813" LockedByLinks="1" Name="UnlockDoor" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags />
      </UnlockInteraction>
    </SCItemDoorParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints />
        <interactionTasks />
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Toggle" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_label_lock" DisplayType="ForeignOnly" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="0d7882b9-ec59-450f-aa56-4e4a18a1dd55" LockedByLinks="1" Name="LockDoor" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_label_unlock" DisplayType="ForeignOnly" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="2e21112b-1129-4e52-898f-fd59af29e813" LockedByLinks="1" Name="UnlockDoor" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="OpenFinished" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="CloseFinished" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SInteractionLinkParams __type="DataForgeComponentParams" __polymorphicType="SInteractionLinkParams">
      <linkPlugs />
      <vehicleItemPortInteractionLinks />
    </SInteractionLinkParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="Objects/Spaceships/Ships/DRAK/Corsair/interior/mess_hall/DRAK_Corsair_Elevator_Inner_Gate.cga" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="0.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="1">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <SAnimationControllerParams __type="DataForgeComponentParams" __polymorphicType="SAnimationControllerParams" AnimationController="SCItems\Doors\SCItem_Door_ControllerDefs.xml" AnimationDatabase="SCItems\Doors\SCItem_Door_Anims.adb" AnimationJointControls="None" defaultAnimation="None">
      <AnimationControlActorIKs />
      <AnimationTasks />
      <ScopeContexts>
        <SAnimationScopeContext __type="SAnimationScopeContext" scopeContext="SCItemDoor" type="Self" />
      </ScopeContexts>
      <Tags />
    </SAnimationControllerParams>
    <SEntityAudioControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityAudioControllerParams" audioControllerEntityType="None" fullLODDistance="9000.0" fullToLowLODDistance="9050.0" occlusionAttenuationScaler="0.5" offLODDistance="10050.0" offToLowLODDistance="10000.0" randomSeedCount="0">
      <tags __type="TagList">
        <tags />
      </tags>
    </SEntityAudioControllerParams>
    <ItemControlComponentParams __type="DataForgeComponentParams" __polymorphicType="ItemControlComponentParams" throttleParams="None" turnedOnByDefault="0" />
    <SInteractionStateMachineParams __type="DataForgeComponentParams" __polymorphicType="SInteractionStateMachineParams">
      <StateTypes>
        <SInteractionStateType __type="SInteractionStateType" bindingsMethod="States" DefaultState="None" networkAuthority="Server" StateTypeName="DoorOpenState">
          <StateModifiers>
            <DoorStateModifier __type="SStateModifier" __polymorphicType="DoorStateModifier" lockStates="None">
              <openStates __type="DoorOpenStates">
                <closed __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="DoorClosed">
                  <EnterEventDispatchers />
                  <enterStateEffectTags eafed141-b387-4f7a-aba3-3dcfed6788bd="eafed141-b387-4f7a-aba3-3dcfed6788bd" />
                  <entityTags __type="TagList">
                    <tags />
                  </entityTags>
                  <exitStateEffectTags />
                  <Interactions>
                    <SInteractionStateTransition __type="SInteractionStateTransition" NextState="None">
                      <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                        <QueryTags />
                      </Interaction>
                    </SInteractionStateTransition>
                    <SInteractionStateTransition __type="SInteractionStateTransition" NextState="None">
                      <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="OpenFinished" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                        <QueryTags />
                      </Interaction>
                    </SInteractionStateTransition>
                  </Interactions>
                  <stateTags __type="TagList">
                    <tags />
                  </stateTags>
                </closed>
                <closing __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="DoorClosing">
                  <EnterEventDispatchers />
                  <enterStateEffectTags bf445c2c-1d59-42dd-91d4-b5d465dd1ffa="bf445c2c-1d59-42dd-91d4-b5d465dd1ffa" />
                  <entityTags __type="TagList">
                    <tags />
                  </entityTags>
                  <exitStateEffectTags />
                  <Interactions>
                    <SInteractionStateTransition __type="SInteractionStateTransition" NextState="None">
                      <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Open" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                        <QueryTags />
                      </Interaction>
                    </SInteractionStateTransition>
                    <SInteractionStateTransition __type="SInteractionStateTransition" NextState="None">
                      <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="CloseFinished" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                        <QueryTags />
                      </Interaction>
                    </SInteractionStateTransition>
                  </Interactions>
                  <stateTags __type="TagList">
                    <tags />
                  </stateTags>
                </closing>
                <opened __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="DoorOpened">
                  <EnterEventDispatchers />
                  <enterStateEffectTags 609cde5b-b8f8-4f29-8348-828e5ab42b5b="609cde5b-b8f8-4f29-8348-828e5ab42b5b" />
                  <entityTags __type="TagList">
                    <tags />
                  </entityTags>
                  <exitStateEffectTags />
                  <Interactions>
                    <SInteractionStateTransition __type="SInteractionStateTransition" NextState="None">
                      <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                        <QueryTags />
                      </Interaction>
                    </SInteractionStateTransition>
                    <SInteractionStateTransition __type="SInteractionStateTransition" NextState="None">
                      <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="CloseFinished" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                        <QueryTags />
                      </Interaction>
                    </SInteractionStateTransition>
                  </Interactions>
                  <stateTags __type="TagList">
                    <tags />
                  </stateTags>
                </opened>
                <opening __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="DoorOpening">
                  <EnterEventDispatchers />
                  <enterStateEffectTags 5661f83d-ce39-4515-834f-51410446871b="5661f83d-ce39-4515-834f-51410446871b" />
                  <entityTags __type="TagList">
                    <tags />
                  </entityTags>
                  <exitStateEffectTags />
                  <Interactions>
                    <SInteractionStateTransition __type="SInteractionStateTransition" NextState="None">
                      <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Close" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                        <QueryTags />
                      </Interaction>
                    </SInteractionStateTransition>
                    <SInteractionStateTransition __type="SInteractionStateTransition" NextState="None">
                      <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@usable_use" DisplayType="Show" FocusModeOnly="0" GenericCursor="SingleAction" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="OpenFinished" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                        <QueryTags />
                      </Interaction>
                    </SInteractionStateTransition>
                  </Interactions>
                  <stateTags __type="TagList">
                    <tags />
                  </stateTags>
                </opening>
              </openStates>
            </DoorStateModifier>
          </StateModifiers>
          <States>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="DoorClosed" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags eafed141-b387-4f7a-aba3-3dcfed6788bd="eafed141-b387-4f7a-aba3-3dcfed6788bd" />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="DoorOpened" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags 609cde5b-b8f8-4f29-8348-828e5ab42b5b="609cde5b-b8f8-4f29-8348-828e5ab42b5b" />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="DoorOpening" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags 5661f83d-ce39-4515-834f-51410446871b="5661f83d-ce39-4515-834f-51410446871b" />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="DoorClosing" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags bf445c2c-1d59-42dd-91d4-b5d465dd1ffa="bf445c2c-1d59-42dd-91d4-b5d465dd1ffa" />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
          </States>
        </SInteractionStateType>
        <SInteractionStateType __type="SInteractionStateType" bindingsMethod="States" DefaultState="None" networkAuthority="Server" StateTypeName="DoorLockState">
          <StateModifiers>
            <DoorStateModifier __type="SStateModifier" __polymorphicType="DoorStateModifier" openStates="None">
              <lockStates __type="DoorLockStates">
                <locked __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="DoorLocked">
                  <EnterEventDispatchers />
                  <enterStateEffectTags db9c7cb8-70a1-41e6-a319-a84ece5b4c65="db9c7cb8-70a1-41e6-a319-a84ece5b4c65" />
                  <entityTags __type="TagList">
                    <tags />
                  </entityTags>
                  <exitStateEffectTags />
                  <Interactions>
                    <SInteractionStateTransition __type="SInteractionStateTransition" NextState="None">
                      <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_label_unlock" DisplayType="ForeignOnly" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="0" LinkingTag="2e21112b-1129-4e52-898f-fd59af29e813" LockedByLinks="1" Name="UnlockDoor" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                        <QueryTags />
                      </Interaction>
                    </SInteractionStateTransition>
                  </Interactions>
                  <stateTags __type="TagList">
                    <tags 60daf4c5-91c1-4900-aac2-1eb57f9de62f="60daf4c5-91c1-4900-aac2-1eb57f9de62f" />
                  </stateTags>
                </locked>
                <unlocked __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="DoorUnlocked">
                  <EnterEventDispatchers />
                  <enterStateEffectTags 5e2798db-5659-4cfd-9665-63939027ff08="5e2798db-5659-4cfd-9665-63939027ff08" />
                  <entityTags __type="TagList">
                    <tags />
                  </entityTags>
                  <exitStateEffectTags />
                  <Interactions>
                    <SInteractionStateTransition __type="SInteractionStateTransition" NextState="None">
                      <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_label_lock" DisplayType="ForeignOnly" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="0d7882b9-ec59-450f-aa56-4e4a18a1dd55" LockedByLinks="1" Name="LockDoor" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="1" UsableTag="00000000-0000-0000-0000-000000000000">
                        <QueryTags />
                      </Interaction>
                    </SInteractionStateTransition>
                  </Interactions>
                  <stateTags __type="TagList">
                    <tags e5e348ca-7752-4930-8a50-874f34dca55e="e5e348ca-7752-4930-8a50-874f34dca55e" />
                  </stateTags>
                </unlocked>
              </lockStates>
            </DoorStateModifier>
          </StateModifiers>
          <States>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="DoorUnlocked" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags 5e2798db-5659-4cfd-9665-63939027ff08="5e2798db-5659-4cfd-9665-63939027ff08" />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
            <SInteractionState __type="SInteractionState" enterGeometryTags="" EnterStateEffectGroup="" EnterStatePlaySequence="None" entityTags="structInstance_TagList_props:1" ExitStateEffectGroup="" ExitStatePlaySequence="None" StateAutoChange="None" StateName="DoorLocked" stateTags="structInstance_TagList_props:1">
              <EnterEventDispatchers />
              <enterStateEffectTags db9c7cb8-70a1-41e6-a319-a84ece5b4c65="db9c7cb8-70a1-41e6-a319-a84ece5b4c65" />
              <exitStateEffectTags />
              <Interactions>
                <SInteractionStateTransition>classReference_structure:SInteractionStateTransition</SInteractionStateTransition>
              </Interactions>
            </SInteractionState>
          </States>
        </SInteractionStateType>
      </StateTypes>
    </SInteractionStateMachineParams>
  </Components>
  <StaticEntityClassData />
  <tags />
</EntityClassDefinition.DRAK_Corsair_Elevator_Inner_Gate>